<?php

namespace App\Providers\PackageAvailability;

use Illuminate\Support\ServiceProvider;

class PackageAvailabilityProvider extends ServiceProvider
{
    public function __construct(
        private AvailabilityComposer $composer
    ) {}

    public function generateCalendar($bookingTourPassenger)
    {
        $this->composer->setValues($bookingTourPassenger);
        return $this->composer->generate();
    }
}
